: Class PageModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class PageModel

    java.lang.Object
      |
      +--grendel.ui.PageModel

public class PageModel
extends java.lang.Object
implements java.awt.event.ActionListener

Model for a "page" or what is commonly termed as a panel.

Field Summary
`protected java.util.Hashtable` | `values` Hashtable of values the model will use to communicate with other objects.

Constructor Summary
`PageModel()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`java.lang.Object` | `getAttribute(java.lang.String attribute)` Get an attribute from the model.
`void` | `setAttribute(java.lang.String attribute, java.lang.Object value)` Puts an attribute into the model.
`protected void` | `setStore(java.util.Hashtable values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected java.util.Hashtable values

  Hashtable of values the model will use to communicate with other objects.

Constructor Detail

### PageModel

    public PageModel()

Method Detail

### setStore

    protected void setStore(java.util.Hashtable values)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)

  Get an attribute from the model.
  Parameters:
    `attribute` - the attribute key for the object

### setAttribute

    public void setAttribute(java.lang.String attribute,
                             java.lang.Object value)

  Puts an attribute into the model.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD